Debian Bug report logs - #733563
ITP: entr -- Run arbitrary commands when files change

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yuri D'Elia <wavexx@thregr.org>

Date: Sun, 29 Dec 2013 22:57:01 UTC

Owned by: "Yuri D'Elia" <wavexx@thregr.org>

Severity: wishlist

Fixed in version entr/2.5-1

Done: Yuri D'Elia <wavexx@thregr.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Yuri D'Elia" <wavexx@thregr.org>:
Bug#733563; Package wnpp. (Sun, 29 Dec 2013 22:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yuri D'Elia <wavexx@thregr.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Yuri D'Elia" <wavexx@thregr.org>. (Sun, 29 Dec 2013 22:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yuri D'Elia <wavexx@thregr.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: entr -- Run arbitrary commands when files change
Date: Sun, 29 Dec 2013 23:53:43 +0100
Package: wnpp
Severity: wishlist
Owner: "Yuri D'Elia" <wavexx@thregr.org>

* Package name    : entr
  Version         : 2.5
  Upstream Author : Eric Radman <ericshane@eradman.com>
* URL             : http://entrproject.org/
* License         : ISC, BSD-3-Clause, BSD-2-Clause
  Programming Lang: C
  Description     : Run arbitrary commands when files change

The Event Notify Test Runner (entr) runs arbitrary commands when
files change. Changes are detected through the kqueue/inotify
kernel interface.
  
For Debian:

entr is a nice, portable (runs both on BSD an Linux),
zero-configuration alternative to iwatch, inotify-tools or
fileschanged.

entr is a simple single-binary package, is properly documented and
includes a small test suite.

The package is already available:

  https://github.com/wavexx/debian-entr/

Upstream is very responsive.



Added blocking bug(s) of 733563: 733767 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 01 Jan 2014 04:27:08 GMT) Full text and rfc822 format available.

Reply sent to Yuri D'Elia <wavexx@thregr.org>:
You have taken responsibility. (Wed, 15 Jan 2014 13:03:27 GMT) Full text and rfc822 format available.

Notification sent to Yuri D'Elia <wavexx@thregr.org>:
Bug acknowledged by developer. (Wed, 15 Jan 2014 13:03:27 GMT) Full text and rfc822 format available.

Message #12 received at 733563-close@bugs.debian.org (full text, mbox):

From: Yuri D'Elia <wavexx@thregr.org>
To: 733563-close@bugs.debian.org
Subject: Bug#733563: fixed in entr 2.5-1
Date: Wed, 15 Jan 2014 13:00:06 +0000
Source: entr
Source-Version: 2.5-1

We believe that the bug you reported is fixed in the latest version of
entr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733563@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yuri D'Elia <wavexx@thregr.org> (supplier of updated entr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Dec 2013 18:23:31 +0100
Source: entr
Binary: entr
Architecture: source amd64
Version: 2.5-1
Distribution: unstable
Urgency: low
Maintainer: Yuri D'Elia <wavexx@thregr.org>
Changed-By: Yuri D'Elia <wavexx@thregr.org>
Description: 
 entr       - Run arbitrary commands when files change
Closes: 733563
Changes: 
 entr (2.5-1) unstable; urgency=low
 .
   * Initial release (Closes: #733563)
Checksums-Sha1: 
 a0f3a0a8ab0ef4bd6469441c966cdc08f7e4d491 1118 entr_2.5-1.dsc
 d07a9f2bb3dc7225bfc042d2df924cd5fee9987a 16245 entr_2.5.orig.tar.gz
 b3c1f8ec9d8bcb624433d7dd692846b93e944ecc 2507 entr_2.5-1.debian.tar.gz
 b33af615772115552ae618812dc15c8e0af66c63 10488 entr_2.5-1_amd64.deb
Checksums-Sha256: 
 9c76fc3f14ab32f0a53e0ba468efc90c20d789966d27b18842d948d4a2a5844a 1118 entr_2.5-1.dsc
 1b68dc0e009f25c0373cd9e9dd18c61c80d16d91a86a205ca21a3a4cefe0b577 16245 entr_2.5.orig.tar.gz
 0c86fbd4a739a56775262ded535b768dab036bce48d5e65d806912db44247267 2507 entr_2.5-1.debian.tar.gz
 3f30cbd40089403f4019e87bd1f1082f01c4d02c91fc2950c32fed9266baa1bc 10488 entr_2.5-1_amd64.deb
Files: 
 0e486858d0903ab63e60044c1b4843af 1118 misc optional entr_2.5-1.dsc
 ed53de994741eba22e28222669806f51 16245 misc optional entr_2.5.orig.tar.gz
 b49c52f204da4e0b95862a7fd55aef29 2507 misc optional entr_2.5-1.debian.tar.gz
 005cf4a0177a681111472b70727038b6 10488 misc optional entr_2.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAlLV/cIACgkQmAg1RJRTSKRdUQCfQ/tf87JQHHMdCWxaHFfuYSye
hlAAn2tSIvJ5JxWD+BNtVPwTCAT0vxK/
=js73
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Feb 2014 07:30:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:51:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.